Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

Zoom Phone - March 21, 2022

API release

Summary:On March 21, Zoom added new phone APIs and a webhook event, updated existing APIs, and changed the location of some API documentation. New APIs include audio library, dial by name directory, line keys, user calling plans, and common areas. A new desk phone registered event was added. Enhancements include adding new fields and parameters to various existing APIs.

On March 21, we added new phone API endpoints and a webhook event. We also updated existing ones. Note the new location of Zoom Phone API and Zoom Phone Master Account API.

New API

  • Audio library for text-to-speech conversion

    • POST /v2/phone/users/{userId}/audios
  • Dial by name directory

    • POST /v2/phone/dial_by_name_directory/extensions
    • GET /v2/phone/dial_by_name_directory/extensions
    • DELETE /v2/phone/dial_by_name_directory/extensions
    • POST /v2/phone/sites/{siteId}/dial_by_name_directory/extensions
    • GET /v2/phone/sites/{siteId}/dial_by_name_directory/extensions
    • DELETE /v2/phone/sites/{siteId}/dial_by_name_directory/extensions
  • Line keys

    • GET /v2/phone/extension/{extensionId}/line_keys
    • PATCH /v2/phone/extension/{extensionId}/line_keys
    • DELETE /v2/phone/extension/{extensionId}/line_keys/{lineKeyId}
  • User calling plans

    • PUT /v2/phone/users/{userId}/calling_plans
  • Common areas -For use by select customers in Beta

    • POST /v2/phone/common_areas
    • GET /v2/phone/common_areas
    • GET /v2/phone/common_areas/{commonAreaId}
    • PATCH /v2/phone/common_areas/{commonAreaId}
    • DELETE /v2/phone/common_areas/{commonAreaId}
    • POST /v2/phone/common_areas/{commonAreaId}/calling_plans
    • DELETE /v2/phone/common_areas/{commonAreaId}/calling_plans/{planType}
    • POST /v2/phone/common_areas/{commonAreaId}/phone_numbers
    • DELETE /v2/phone/common_areas/{commonAreaId}/phone_numbers/{phoneNumberId}

New Event

Desk phone registered

  • phone.device_registration

Enhancements

  • Added a new response object (emergency_address) and a query parameter(site_id) in the List emergency service locations API

    • GET /v2/phone/locations
  • Added new response fields (extension_type, assignees) and a query parameter(assignee_type) in the List device API

    • GET /v2/phone/devices
  • Added new response fields (extension_type, assignees) in the Get device API

    • GET /v2/phone/devices/{devicesId}
  • Added a new request field (device_id) in the user settings API

    • POST /v2/phone/users/{userId}/settings/{settingType}
    • DELETE /v2/phone/users/{userId}/settings/{settingType}
  • Added a new request field (desk_phone) in the user settings API

    • PATCH /v2/phone/users/{userId}/settings/{settingType}
  • Added a new response field (extension_status) in the account recording API

    • GET /v2/phone/recordings
  • Added a new response object (owner) in the call log recording API

    • GET /v2/phone/call_logs/{id}/recordings
  • Added new fields (extension_id, extension_type) in phone status webhook events

    • phone.callee_answered
    • phone.callee_ended
    • phone.callee_hold
    • phone.callee_hold
    • phone.callee_meeting_inviting
    • phone.callee_missed
    • phone.callee_mute
    • phone.callee_rejected
    • phone.callee_ringing
    • phone.callee_unhold
    • phone.callee_unmute
    • phone.caller_connected
    • phone.caller_ended
    • phone.caller_meeting_inviting
    • phone.caller_mute
    • phone.caller_ringing
    • phone.caller_unhold
    • phone.caller_unmute